;TIP1060.LSP:   CLOUD.LSP   On-the-fly Clouds   (C)1995, David Harrington

(defun MYERROR (S )                             ;;error trap program
   (if (/= S "\nFunction cancelled" )
   (princ "\nEnding cloud..." ) )
   (setq *ERROR* OLDERR )
(princ ) )

(defun C:CLOUD ( )
   (setvar "cmdecho" 0 )
   (setq LAST_PT (getpoint "\nPick cloud start point: " )
      START_PT LAST_PT
      ARC_DIST (* 0.3125 (getvar "dimscale" ) ) ;; adjust arc size here! 
      INC_ANGLE 110                             ;; adjust arc angle here!
      OLDERR *ERROR*
   *ERROR* MYERROR )
   (prompt "\nGuide crosshairs along cloud path..." )
   (command "pline" LAST_PT "w" "0" "0" "a" "a" INC_ANGLE )
   (while LAST_PT
      (setq NEXT_PT (cadr (grread 1 ) ) )
      (if (> (distance LAST_PT NEXT_PT ) ARC_DIST )
         (progn
            (command NEXT_PT "a" INC_ANGLE )
         (setq LAST_PT NEXT_PT ) ) 
      )
      (if (> (distance LAST_PT NEXT_PT ) (distance START_PT NEXT_PT ) )
         (progn
            (command START_PT "cl" )
         (setq LAST_PT nil ) ) 
      ) 
   )
   (princ "\nClosing cloud..." )
);end cloud.lsp
