;TIP1062.LSP:  INSRT.LSP   Insert Blocks From Anywhere   (c)1995, Walt Bedinger

(defun C:INSRT ( / POINTER LIST BLKN PATH SUBDIR)

   ; Change the next line as required to point at INSRT.LST
   (setq POINTER "C:\\ACAD12\\SUPPORT")
   (setq LIST (open (strcat pointer "\\INSRT.LST") "r"))

   (if (= LIST nil)
      (progn
         (textpage)
         (princ "\n   Before INSRT will do anything useful, you must create an")
         (princ "\n   ASCII text file named INSRT.LST, which is a list of the")
         (princ "\n   directories to search for blocks. It might look something")
         (princ "\n   like this:\n")
         (princ "\nC:\\SYMBOLS\\JUNK") ;;Do not include double "\\" in INSRT.LST
         (princ "\nC:\\SYMBOLS\\MISC") ;;Should be C:\SYMBOLS\MISC; etc.
         (princ "\nC:\\SYMBOLS\\STUFF")
         (princ "\n\n  You will also have to modify INSRT.LSP so it will know")
         (princ "\n   where to look for INSRT.LST.")
         (initget "")
         (getkword "\n\nPress any key to continue...")
         (graphscr)
         (exit)

      )
   )
   (setq BLKN (getstring "\nBlock Name (or ?): "))
   (if (= BLKN "") (princ "\n*Invalid*\n"))
   (if (= BLKN "?") (command ".insert" "?"))
   (if (and (/= BLKN "") (/= BLKN "?"))
      (progn
         (setq BLKN (strcase (strcat BLKN ".DWG"))
            PATH (findfile blkn)
            SUBDIR (read-line LIST)
         )
         (while (and SUBDIR (not PATH))
            (setq   PATH (findfile (strcat SUBDIR "\\" BLKN))
               SUBDIR (read-line LIST)
         ))
         (if (= PATH nil)
            (prompt (strcat "\nI can't find " BLKN " anywhere!\n"))
            (progn
               (graphscr)
               (command ".insert" path)
            )
         )
      )
   )
   (close LIST)
);end insrt.lsp
