;TIP1063.LSP:   LS.LSP    Page through Layers    (c)1995, Jonathan Pruett

(defun C:LS (/ A LS_CHANGE LS_MAKE)
   (defun ls_make (/ A)
      (setq LS_NEXT 0
         LS_DATA (list (cdr (assoc 2 (tblnext "LAYER" "1"))))
      )
      (while (setq A (tblnext "LAYER"))
         (setq LS_DATA (cons (cdr (assoc 2 A)) LS_DATA))
      )
      (setq LS_DATA (ACAD_STRLSORT LS_DATA))
      (ls_change)
   )
   (defun ls_change ()
      (if (nth LS_NEXT LS_DATA)
         (command ".layer" "s" (nth LS_NEXT LS_DATA) "off" "*" "n" "")
         (progn
            (princ "End of Layer List")
            (setq LS_DATA nil LS_NEXT nil)
         )
      )
   )
   (if LS_DATA
      (progn
         (initget "R P N")
         (setq A (getkword "Restart, Previous, <Next> :>"))
         (cond
            ((= A "R") (ls_make))
            ((= A "P") (setq LS_NEXT (abs (1- LS_NEXT))) (ls_change))
            ((setq LS_NEXT (1+ LS_NEXT)) (ls_change))
         )
      )
      (ls_make)
   )
   (princ)
);end of ls.lsp
