;TIP1064.LSP:   NOPLOT.LSP     Text that doesn't plot   (c)1995,  Jon McFarland

(defun *error* (msg)
   (setvar "CLAYER" CLAY)
   (setvar "CECOLOR" CCOL)
   (setvar "FILEDIA" FBOX)
   (setvar "CMDECHO" CMD)
   (setvar "DIMSCALE" DSC)
   (setvar "DIMTSZ" TSZ)
   (setvar "DIMASZ" ASZ)
   (setvar "BLIPMODE" BLP)
   (if (= SCHK 1)
      (command ".style" "" "" TS "" "" "" "" "")
   )
   (if (= UCHK 1)
      (command ".ucs" "previous")
   )
)

(defun C:NP ( / SCHK UCHK)
   (setq CLAY (getvar "clayer")
      CCOL (getvar "CECOLOR")
      FBOX (getvar "FILEDIA")
      JUST "ml"
      DEF "defpoints"
      CMD (getvar "CMDECHO")
      DSC (getvar "DIMSCALE")
      TSZ (getvar "DIMTSZ")
      ASZ (getvar "DIMASZ")
      BLP (getvar "BLIPMODE")

   )

   (setvar "CMDECHO" 0)
   (setvar "FILEDIA" 0)
   (setvar "CECOLOR" "6")
   (setvar "DIMTSZ" 0)
   (setvar "BLIPMODE" 0)

   (setq TS (cdr (assoc 40 (tblsearch "style" (getvar "TEXTSTYLE")))))
   (if (= TS 0.0)
      (setq TSA 0.2)
      (setq TSA TS)
   )
   (setq LAY (cdr (assoc 70 (tblsearch "layer" "defpoints"))))

   (if (= LAY nil)
      (command ".layer" "new" DEF "set" DEF "")
      (progn
         (if (= LAY 65)
            (command ".layer" "thaw" DEF "set" DEF "")
            (command ".layer" "set" DEF "")
         )
      )
   )

   (command ".ucs" "view")
   (setq UCHK 1)
   (initget 6)
   (setq TH (getdist (strcat "Text height:<" (rtos TSA) "> ")))
   (if (= TH nil)
      (setq TH TSA)
   )
   (terpri)
   (setvar "DIMSCALE" 1.0)
   (setvar "DIMASZ" TH)

   (initget "Yes No")
   (setq LDR (getkword "\nUse leader? <Y> "))
   (terpri)
   (if (= LDR "No")
      (progn
         (initget 9)
         (setq P1 (getpoint "\nText insertion point: "))
      )
      (progn
         (initget 1)
         (setq LP1 (getpoint "\nPick first {of two} leader line points: "))
         (initget 1)
         (setq LP2 (getpoint LP1 "\nPick second leader line point: "))

         (if (and (< (angle LP1 LP2) 4.71239)(> (angle LP1 LP2) 1.5708))
            (progn
               (command ".dim1" "l" LP1 LP2 "" ^z)
               (setq P1 (polar LP2 pi (* 1.5 TH)))
               (setq JUST "mr")
            )
            (progn
               (command ".dim1" "l" LP1 LP2 "" ^z)
               (setq P1 (polar LP2 0 (* 1.5 TH)))
               (setq JUST "ml")
            )
         )
      )
   )
   (setq LINE "Note:")
   (command ".style" "" "" TH "" "" "" "" "")
   (setq SCHK 1)
   (while (/= LINE "")
      (command ".text" "j" JUST P1 "0" LINE)
      (setq LINE (getstring T "\nNote:<> "))
      (setq P1 (polar P1 (* pi 1.5) (* 1.625 TH)))
      (if (= LINE "")
         (command ".text" "j" JUST P1 "0" "This is a non-plotting note.")
      )
   )

   (command ".style" "" "" TS "" "" "" "" "")
   (command "ucs" "previous")
   (setvar "CECOLOR" CCOL)
   (setvar "CLAYER" CLAY)
   (setvar "CMDECHO" CMD)
   (setvar "FILEDIA" fbox)
   (setvar "DIMTSZ" TSZ)
   (setvar "DIMSCALE" DSC)
   (setvar "DIMASZ" ASZ)
   (setvar "BLIPMODE" BLP)
   (princ)
);end noplot.lsp
