;TIP1065A.LSP   PITCH.LSP   Set Snap Angle   (c)1995, Francisco Oquendo 

;Sets the crosshairs to the angle indicated by a given pitch.
(defun C:PITCH ()
   (setq OSM (getvar "OSMODE"))
   (setvar "CMDECHO" 0)
   (setvar "MENUCTL" 0)
   (setvar "OSMODE" 0)
   (setq SLOPE (getpoint "\nWhat pitch <0> ? "))
   (if 
      (or (= SLOPE "") (= SLOPE nil)) 
      (setq SLOPE '(0 0))
   )
   (setq DIR (strcase (getstring "\Slope down to the (L)eft or (R)ight <R> ? ")))
   (if 
      (or (= DIR "") (= DIR nil))
      (setq DIR "R")
   )
   (setq X (car (cdr SLOPE)))
   (setq Y (car SLOPE))
   (if (= DIR "R") (setq X (- 0 X)))
   (setq PT1 '(0 0)
      PT2 (list X Y)
      ANG (angle PT1 PT2)
   )
   (setvar "snapang" ANG)
   (if (> ANG 0) (setq PERP 1) (setq PERP nil))
   (setvar "CMDECHO" 1)
   (setvar "MENUCTL" 1)
   (setvar "OSMODE" OSM)
   (princ)
);end pitch.lsp
